= 7.47.0 (2020.11.02)
- Include the forms loader script only once in the page when a form is added.

= 7.46.2 (2020.10.27)
- Released the updated user guide
- Fix forms rendering on IE11

= 7.45.6 (2020.10.20)
- Use https instead of relative-protocol URLs for HubSpot scripts
- Define custom filters instead of constants for HubSpot properties

= 7.45.4 (2020.10.12)
- Fix iframe communication for IE11
- Fix for JS error when it is re-executed by jQuery and attempting to modify an immutable object

= 7.44.6 (2020.09.30)
- Added a demo of the tools for new users
- Redesigned the intro page

= 7.43.4 (2020.09.14) =
- Fix login flow from the gutenberg block
- Log error when requests are blocked by a browser extension

= 7.42.3 (2020.09.07) =
- Bump the latest WordPress version where the plugin has been tested
- Create a new WordPress specific report page
- Add a monitor to the Hubspot gutenberg block preview render

= 7.41.1 (2020.09.01) =
- Generate a reporting dashboard if none exists

= 7.41.0 (2020.08.25) =
- Hide menu items when unauthenticated

= 7.40.0 (2020.08.17) =
- Update the latest version the plugin has been tested on
- Redesign the Getting Started experience
- Fix the signup progression bar on the intro page
- Add the correct highlighting of sidebar menu items when redirected from inside the plugin


= 7.39.5 (2020.08.11) =
- Add a script that fetches contact properties from HubSpot
- Renamed "Dashboard" to "Setup Guide"

= 7.38.1 (2020.08.4) =
- Embed Live Chat inside the plugin
- Saving the Gutenberg block as a shortcode to fix an error with parsing a previously saved block

= 7.37.2 (2020.07.27) =
- Embed the email app now as part of the plugin
- Rename "Advanced Features" menu item to "Upgrade"

= 7.36.3 (2020.07.20) =
- Fixed syncing of the URL between the iframe and WordPress

= 7.36.1 (2020.07.13) =
- Add Tracking consent banner and the logic to communicate the consent to the embedded signup
- Prevent the integer value passed to rand to overflow and being stored as float when the site runs on a 32 bit system

= 7.35.4 (2020.07.03) =
- Pass a div ID to the form create function where the form will be appended

= 7.35.2 (2020.07.02) =
- Update text on the plugin listing page
- Make the forms creation code independent of the order which the files are parsed

= 7.35.1 (2020.06.29) =
- Allow users to try the plugin before signup
- Enable an API which will allow pre-signup demo eperience

= 7.34.0 (2020.06.10) =
- Pass device id to the iframe to show tracking consent banner

= 7.33.3 (2020.06.02) =

= 7.32.6 (2020.05.26) =
- Remove unused function

= 7.32.3 (2020.05.18) =
- Show default reporting dashboard instead of Marketing Dashboard
- Fix broken link on Dashboard page
- Added user account name to login screen

= 7.31.1 (2020.05.11) =
- Allow alternate url for different page's sub-route
- Create filter for affiliate links

= 7.30.5 (2020.05.05) =
- Sanitize portal domain on connect to remove the URL protocol

= 7.30.4 (2020.04.27) =
- Update translations

= 7.30.2 (2020.04.22) =
- Fixed broken settings link on the dashboard page
- Remove query parameter from iframe
- Re-enable review tool

= 7.29.4 (2020.04.15) =
- Rename Dashboard and Getting started menus
- Fix broken link in settings menu
- Add background iframe in all pages using Gutenberg
- Updated wordpress latest version tested

= 7.28.1 (2020.04.07) =
- Fix error message when connecting after sign up

= 7.28.0 (2020.04.06) =
- Added user account information to the settings page
- Added Covid-19 information banner

= 7.27.48 (2020.04.01) =
- Disable review notice

= 7.27.47 (2020.03.30) =
- Define a new way to update changelog
- Updated translations
- Code cleanup
    - remove unused variables
    - fixed linting

= 7.26.18 (2020.03.16) =
- Fix login screen when not authenticated

= 7.25.2 (2020.03.11) =
- Rename configuration files

= 7.24.8 (2020.03.10) =
- Create iframe on javascript rather than PHP.

= 7.23.0 (2020.03.02) =
- Update acceptance tests
- Update translations files

= 7.22.6 (2020.03.02) =
- Update iframe static version

= 7.21.22 (2020.02.28) =
- Fix broken CTAs
- Load iframe after the page is loaded

= 7.20.13 (2020.02.24) =
- Add missing translations
- Update author’s URL
- Fix getting started page not loading

= 7.19.146 (2020.02.19) =
- New getting started page
- Update forms builder to not open full screen
- Fix broken login screen when not authenticated
- Create new settings page
- Improve connection flow and fix known bugs
- Refactor code into classes

= 7.18.81 (2020.01.15) =
- Make the usage of the plugin API consistent from the UI and setup CORS
- Setup Autoloader on the PHP code
- Refactor the PHP section of the plugin and use of namespaces
- Refactor and update the inteframe communication library

= 7.17.2 (2019.11.13) =
- Fix missing disconnect button

= 7.16.1 (2019.11.13) =
- Update version of loaded iframe

= 7.15.11 (2019.10.24) =
- Prevent wordpress notices flash when navigating through the plugin menu
- Improve UI of reminder notice on the WP dashboard
- Redirects to login page when the user is not authenticated
- Add Contacts and Lists to the plugin

= 7.14.1 (2019.10.10) =
- Verify email on signup
- Remove version from tracking code
- Redirect from top level menu to dashboard
- Add HubSpot dashboard
- Fix navbar showing on the form pag

= 7.13.11 (2019.10.10) =
- Automatic connection when only one portal is available

= 7.12.14 (2019.09.26) =
- Add new forms dashboard
- Add "Advanced Features" link in menu

= 7.11.0 (2019.09.16) =
- Create new connection banner
- Refactor iframe communication
- Change minimum role from "Subscriber" to "Contributor"
- Fix spinner position
- Ask for feedback before deactivating

= 7.10.0 (2019.08.29) =
- Fix duplicate tracking code
- Fix layout with Update WordPress banner
- Redirect after plugin activation
- Add information to the login screen
- Update connection banner

= 7.9.2 (2019.08.20) =
- Fix infinite loading in pages editor for Gutenberg Forms block
- Updated translations

= 7.9.1 (2019.08.15) =
- Fix register_block_type does not exist error.

= 7.9.0 (2019.08.14) =
- Add HubSpot Form Gutenberg Block

= 7.8.0 (2019.08.08) =
- Replace activate_plugins with manage_options
- Upgrade wordpress-scripts
- Remove tracking code from login page
- Added Logo svg for banner

= 7.6.0 (2019.07.19) =
- Remove echo from enqueue_scripts hooks
- Update url on forms dashboard
- Add nonce checks on connect/disconnect APIs
- Sanitize portal id on connect APIs
- Remove queries to DB
- Update plugin permissions
- Update `leadin_route` query parameter
- Remove HTML from translations
- Remove notice for outdated plugin
- Remove unused options
- Escape variables
- Avoid phpcs errors on file_get_contents
- Fix mispelled WordPress

= 7.5.5 (2019.07.16) =
- Fix comment escaping
- Remove unused cookie (fix error message on activation)
- Lock iframe to plugin version
- Add unit tests for JS
- Update readme.txt
- Sanitize inputs
- Sync route with plugin

= 7.5.4 (2019.06.26) =
- Hotfix

= 7.5.3 (2019.06.26) =
- Rename "chatflow" to "live chat"
- Update readme.txt
- Update banners
- Fix themes colors
- Refactor code style

= 7.5.2 (2019.06.14) =
- Add webpack and use ES6
- Show "complete your signup" banner for WPEngine themes
- Auto-generate assets and update styles for WPEngine themes
- Handle messages timeout errors
- Fix navigation in single page app
- Enable non-HubSpot forms by default
- Add forms tab in settings
- Add form builder to WordPress

= 7.5.1 (2019.05.29) =
- Fix version flags
- Add unit tests
- Add languages

= 7.5.0 (2019.05.22) =
- Add banner to inform users if the version is outdated
- Add notification that informs user if something is not working on our
servers
- Reload window when connection happens on a different tab
- Reduce loading time for non authenticated users
- Improve performances when navigating between pages
- Add tests

= 7.4.1 (2019.05.07) =
- Implement faster navigation
- Fix signup url
- Use i18n on PHP

= 7.4.0 (2019.04.30) =
- Improve performances
- Remove dependencies from HubSpot's CDN
- Update license

= 7.3.2 (2019.04.24) =
- Move assets to /assets folder
- New settings page
- Improve forms page loading time

= 7.3.1 (2019.04.17) =
- Fix missing assets

= 7.3.0 (2019.04.17) =
- Drop support for PHP<5.6
- Drop support for WP<4
- Removed hubspot from admin top bar

= 7.2.2 (2019.04.09) =
- Fix for whitespace bug

= 7.2.1 (2019.04.08) =
- Added link to Chatflows

= 7.2.0 (2019.04.03) =
- Add background iframe

= 7.1.1 (2019.04.03) =
- Remove OAuth step from signup
- Fix assets in listing

= 7.1.0 (2019.04.01) =
- Remove slumber/oauth mode
- Fix icon in top menu
- Add help widget
- Update message on connection error
- April fool prank

= 7.0.7 (2019.03.25) =
- Add helpers for acceptance tests
- Remove dialog on settings page
- Load forms script from right environment
- Test on PHP 5.6
- Design fixes on the intro page

= 7.0.6 (2019.03.08) =
- Add debug helpers

= 7.0.5 (2019.03.05) =
- Update description to explain how plugin provides WordPress CRM
- Fix connection to wrong portal id
- Add pop-up on login page
- Add intro screen for un-logged users
- Update HubSpot forms script
- Disable "Create form" when user has no permissions
- Skip authorization token verification
- Test with most popular plugins

= 7.0.4 (2019.02.19) =
- Show welcome dialog after connection
- Remove extra navigation in connection flow
- Add pre-fill to signup form
- Add plugin version to HTML comment
- Fix enqueue style error

= 7.0.3 (2019.02.12) =
- Update HubSpot logos

= 7.0.2 (2019.01.22) =
- Plugin readme update
- Fix wrong settings link

= 7.0.1 (2018.10.12) =
- Send page analytics data into HubSpot

= 7.0.0 (2018.10.03) =
- Add deeper integration with HubSpot. Starts a new release of a new forms integration within WordPress. Released progressively for some users.

= 6.1.12 (2018.09.14) =
- Internal update

= 6.1.11 (2018.08.30) =
- Plugin description update

= 6.1.10 (2018.08.28) =
- Plugin readme update

= 6.1.9 (2018.07.27) =
- New product screenshots with HubSpot Form Builder redesign

= 6.1.8 (2018.07.27) =
- Plugin description updated to describe HubSpot Conversion Tools

= 6.1.7 (2018.06.26) =
- Plugin description updated to describe HubSpot Form Builder

= 6.1.6 (2018.06.22) =
- Add shortcodes to use forms and CTA tools

= 6.1.5 (2018.05.22) =
- Code cleanup

= 6.1.4 (2017.07.25) =
- Updated supported version of WordPress
- Provide more accurate readme

= 6.1.3 (2016.11.22) =
- Fix issue where accounts could not reconnect

= 6.1.0 (2016.11.16) =
- Fix an issue where accounts could not be disconnected

= 6.0.0 (2016.11.10) =
- Leadin is now HubSpot Marketing Free - learn more at http://www.hubspot.com/products/marketing

= 5.5.3 (2016.09.01) =
- Clean up remaining deployment issues

= 5.5.1 (2016.08.30) =
- Added a new endpoint handler to remove hapikey and portalId from the database when removing the account.

= 5.4.1 (2016.08.17) =
- Moved all embed loads to the new unified script loader, which has been in beta since v5.2.1.

= 5.3.1 (2016.08.11) =
- Added "collected forms" screen to the navigation, a new way to manage your collected forms
- Shifted more accounts to the new unified script loader following a beta release in 5.2.1. Now all "existing app" customers, and all new customers use the unified loader.

= 5.2.1 (2016.08.04) =
- New "existing app" customers use the new unified script loader

= 5.1.1 (2016.06.20) =
- Rebranding "Flows" to "Lead Flows"
- Correcting the settings link in Plugins when Leadin is connected to an existing Leadin web app account

= 5.0.2 (2016.06.02) =
- Update deployment script

= 5.0.1 (2016.06.02) =
- The Leadin plugin can now be installed for an existing Leadin web app account

= 4.8.2 (2016.05.30) =
- Added 'Flows' to the WordPress navigation - all-in-one lead conversion widgets - http://leadin.hubspot.com/flows

= 4.7.1 (2016.04.14) =
- Stopped using get_currentuserinfo(), which was deprecated in WordPress 4.5 in favor of wp_get_current_user()

= 4.6.8 (2016.04.01) =
- Updated supported version of WordPress

= 4.6.6 (2016.03.23) =
- Changed URL where Leadin's JavaScript loads from. This should help with customers who were experiencing blank screens due to overzealous adblocking
- Updated readme

= 4.5.0 (2016.01.14) =
- Renamed "stats" to "dashboard" in the menu
- Fixed a bug where deactivating the plugin in multisite mode would cause a PHP error
- Removed old PHP that was used before Leadin was hosted in an iFrame, as it is now
- Updated screenshots

= 4.4.0 (2015.12.14) =
- Remove migration code

= 4.3.2 (2015.12.02) =
- Wordpress assets update

= 4.3.1 (2015.11.26) =
- Logo updates

= 4.3.0 (2015.09.30) =
- Load time improvements to the tracking script

= 4.2.3 (2015.08.20) =
- Support widget improvements

= 4.2.2 (2015.08.14) =
- Correctly set the version number in PHP

= 4.2.1 (2015.08.13) =
- Fix detection of front page for popup triggering
- Update screenshots

= 4.2.0 (2015.08.13) =
- Migration improvements
- Bug fix to stop showing the setup dialog when setup is in progress
- Preparatory work to send notification emails in the timezone WordPress is configured in

= 4.1.1 (2015.07.14) =
- Bug fix for upgraded installs from the plugin directory running through the migration process

= 4.1.0 (2015.07.10) =
- Migration script added to move data from MySQL to Leadin Cloud

= 4.0.2 (2015.07.09) =

- Bug fixes

- Current version: 4.0.1
- Current version release: 2015-06-24

= 4.0.1 (2015.06.24) =

- Bug fixes
- Added support for custom page types
- Stopped using SVG icons due to performance problems
- Fixed signup error in PHP < 5.4 on browsers that don't support CORS

= 4.0.0 (2015.05.20) =
- Leadin Cloud launched

= 3.1.8 (2015.05.15) =
- Added email connector sync to onboarding
- Sources now check the UTM tags on the first page view visit
- Privacy policy added to plugin

- Bug fixes
- Fixed dismiss button conflict on WordPress notifications
- Icon styles no longer conflict with other plugins
- Deleted contacts no longer show up in the dashboard
- Popup sync now looks at the actual inputs instead of the field names so itâ€™ll work in other languages
- Popup labels now work in IE
- Fixed bug with SendGrid email delivery for Leadin Pro

= 3.1.7 (2015.04.15) =
= Enhancements =
- Added debug mode
- Default subscribe confirmation to off

- Bug fixes
- Fixed overly large Leadin icon in admin bar on front end for logged in users

= 3.1.6 (2015.03.31) =
= Enhancements =
- Show name on contact timeline instead of email address if available
- New contact timeline page styles
- Ability to change color in popup
- Popup now works on mobile

- Bug fixes
- Fixed dashicons not loading in < WP 3.7
- Completely fix all the default object warnings for the contact lookups
- Swap in non-svg logo if allow_url_fopen not toggled on in php.ini
- Fixed Pro email delivery bugs

= 3.1.5 (2015.03.20) =
- Bug fixes
- Changed out call to __DIR__ magic constant which wasnâ€™t implemented until PHP 5.3 in favor of dirname(__FILE__)

= 3.1.4 (2015.03.17) =
= Enhancements =
- Intercom added to plugin for in-app support
- Onboarding improved for non-setup installs
- Contact notifications are now sent through email delivery service to improve deliverability

- Bug fixes
- Namespaced AWeber oauth libraries with LI_ prefix to avoid duplicate class warnings
- SVG icon permanently fixed for servers that don't natively support that file type
- Check if database options are set for subscribe preview button
- Added in check for default leadin_options in case they were deleted and recreate them if they are not there
- Add in checks for the contact lookups to account for default object warnings
-

= 3.1.3 (2015.02.19) =
= Enhancements =
- Don't show the "You should receive a confirmation email shortly" message in the popup thank you if the confirmation email setting is toggled off

- Bug fixes
- Fixed SVG icon
- Fixed the default object warnings in class-leadin-contact for the enrichment lookups
- Tested NinjaPopups and added to readme as unsupported form plugin
- "Namespace" AWeber with "LI_" prefix to avoid conflicts

= 3.1.2 (2015.01.26) =
= Enhancements =
- Tested JotForm + added compatibility to the ReadMe file

- Bug fixes
- Add in support for like_escape for < WordPress 4.0
- Add first + last names to bulk MailChimp connector
- Remove rogue WPDB prepare in tag list table
- Check for existence of ESP connector when pushing to an email list
- Bug fix for multisite installs with broken onboarding

= 3.1.1 (2014.01.20) =
= Enhancements =
- Added ability to toggle Leadin data access by user role
- Hide Leadin nav menu item for user roles without access to Leadin data
- Discontinued and disabled the beta program

- Bug fixes
- Fixed broken onboarding in WordPress Multisite after adding a new site to the network
- Contact totals in tag editor now link to tagged list

= 3.1.0 (2015.1.16) =
= Enhancements =
- GetResponse, Campaign Monitor and AWeber integrations launched

= 3.0.0 (2014.12.10) =
= Enhancements =
- Jumping to version 3.0.0 to indefinitely override repository version of Leadin

= Leadin 2.2.7 - 2.2.11 =
*Leadin was split into Leadin and <a href="http://leadin.com/pro-upgrade" target="_blank">Leadin Pro</a> after version 2.2.6 and later merged back together, so versions 2.2.7 - 2.2.11 and 3.0.0 - 3.1.3 share similar updates.*

= 2.2.11 (2015.02.18) =
= Enhancements =
- Don't show the "You should receive a confirmation email shortly" message in the popup thank you if the confirmation email setting is toggled off

- Bug fixes
- Fixed SVG icon
- Fixed the default object warnings in class-leadin-contact for the enrichment lookups
- Tested NinjaPopups and added to readme as unsupported form plugin


= 2.2.10 (2015.01.26) =
= Enhancements =
- Tested JotForm + added compatibility to the ReadMe file

- Bug fixes
- Add in support for like_escape for < WordPress 4.0
- Add first + last names to bulk MailChimp connector
- Remove rogue WPDB prepare in tag list table
- Check for existence of ESP connector when pushing to an email list
- Bug fix for multisite installs with broken onboarding

= 2.2.9 (2014.01.20) =
= Enhancements =
- Added ability to toggle Leadin data access by user role
- Hide Leadin nav menu item for user roles without access to Leadin data
- Discountinued and disabled the beta program

- Bug fixes
- Fixed broken onboarding in WordPress Multisite after adding a new site to the network
- Contact totals in tag editor now link to tagged list

= 2.2.8 (2014.12.15) =
= Enhancements =
- Added in CTAs for Leadin Pro

= 2.2.7 (2014.12.09) =
- Bug fixes
- Fixing upgrade process from 2.2.6

= 2.2.6 (2014.12.08) =
= Enhancements =
- Added names to contact export
- Added â€œtagged asâ€ to contact notification email subject lines

- Bug fixes
- Fixed bug with non-tagged contacts being added to tagged lists

= 2.2.6 (2014.12.08) =
= Enhancements =
- Contact Lookup power-up
- Added names to contact exports
- Added â€œtagged asâ€ to the email subject lines

- Bug fixes
- Fixed bug where Leadin would add non-tagged emails to ESP lists when it was not supposed to do those contacts

= 2.2.5 (2014.11.20) =
- Bug fixes
- Fixes to bulk action labels
- Fixed Add Tag button

= 2.2.4 (2014.10.31) =
- Bug fixes
- Patch for 2.2.3 database structure. We forgot to include the new form_hashkey field in the database upgrade

= 2.2.3 (2014.10.31) =
= Enhancements =
- Added "Tags" link to sidebar menu
- Added the applied tags on form submission timeline events
- Added the form selector on submission events in the timeline
- Added language in the subject of the contact notification emails to indicate returning vs. new visitors
- Leadin will now detect first names + last names and store them on the contact + push to ESP connectors
- Retroactively apply names to all contacts where possible

- Bug fixes
- If a contact changes their email, Leadin will now push the new email to the ESP connectors
- Added safeguards into all third party libraries to see if they are included already in the WordPress admin
- Added default Javascript values to the popup form if the get_footer function isn't being called

= 2.2.2 (2014.10.16) =
= Enhancements =
- Leadin now include the utm_ tags from the original first page view when parsing the sources

- Bug fixes
- Unchecking all the template checkboxes for the popup then saving no longer rechecks them all
- Added in current_time fix for older versions of WordPress
- Retooled tag editor to only pull down unique selectors
- Contact list now will go back to the previous page when clicking the back link
- Fixed mysterious bug where popup ignored new visitors
- NOW the subscription confirmation stays checked/unchecked on save (Thanks Kate!)

= 2.2.1 (2014.10.01) =
= Enhancements =
- Added video from WPApplied to readme file

- Bug fixes
- Page view filters now work in the all contacts list
- Subscription confirmation box didn't work in settings page if the "homepage" checkbox was unchecked
- Leadin menu link no longer shows up in the front-end menu bar for non-logged in users
- Stopped selecting duplicate tags on a contact in the timeline view
- Select inputs did not pull down the text and instead used the value. Fixed and use text now for selected option
- Timezones with a database offset on the contact timeline were not correctly fixed in last update
- Fix to ignore all cURL calls if script isn't present on the server
- Disable beta program is cURL does not exist on the server
- Fixed â€œ<- All contactsâ€ link showing up next to back link on a specific contact type in timeline view

= 2.2.0 (2014.09.25) =
= Enhancements =
- Added ability to ignore logged in user roles from tracking
- Popup can be previewed on the front end site before saving changes
- MailChimp Connect checks for faulty API keys and prompts the user to enter in one that works on the tag editor page
- Email headers for contact notificaitons come from the person who filled in the form
- Added traffic source URL parameters to contact notification emails

- Bug fixes
- Leadin now accounts for timezones discrepancy on some MySQL databases and offsets to local time
- Filters are now persistent when clicking the link back to the contact list from a contact timeline
- cURL dependency no longer prints the raw error to the screen on installation and gracefully disables cURL-dependant features
- Stats page and contact list totals didn't match up - fixed

= 2.1.0 (2014.09.19) =
= Enhancements =
- Improved onboarding
- Added setting include a short description to the popup under the form heading
- General style improvements to the popup form power-up

- Bug fixes
- Contact filters are now persistent when navigating back to the main contact list from the contact timeline

= 2.0.2 (2014.09.09) =

- Bug fixes
- Fix inconsistent sources on stats widgets and contact timeline widgets
- Onboarding tooltip popup for setting up settings now works correctly
- Parse out get vars for traffic sources in the contact timeline

= 2.0.1 (2014.09.01) =
= Enhancements =
- Removed "Who read my post" widget analytics from the post editor
- Separated backend from frontend code to speed up ajax calls on both sides

- Bug fixes
- Fixed bug when deleting specifically selected contacts looked like all the contacts were deleted on the page refresh
- Organic traffic and paid traffic sources are now parsing more accurately
- Credit card forms will add to the timeline now but will block all credit card information
- Bulk edited tags now push contacts to ESP lists when added
- Lists with existing contacts retroactively push email addresses to corresponding ESP list
- Renamed MailChimp Contact Sync + Constant Contact Sync to MailChimp Connect + Constant Contact Connect
- Fixed returning contacts vs. new contacts in dashboard widget
- Contact export works again
- Fixed insecure content warning on SSL
- Non-administrators no longer can see the Leadin menu links or pages
- Settings link missing from plugins list page
- Line break contact notifications previews
- Setup a mailto link on the contact notification email in the details header

= 2.0.0 (2014.08.11) =
= Enhancements =
- Create a custom tagged list based on form submission rules
- Ability to sync tagged contacts to a specific ESP list
- Filter lists by form selectors

- Bug fixes
- Fix contact export for selected contacts
- Text area line breaks in the contact notifications now show properly
- Contact numbers at top of list did not always match number in sidebar - fixed

= 1.3.0 (2014.07.14) =
= Enhancements =
- Multisite compatibility

= 1.2.0 (2014.06.25) =
- Bug fixes
- Contacts with default "contact status" were not showing up in the contact list
- WordPress admin backends secured with SSL can now be used with Leadin
- Namespaced the referrer parsing library for the Sources widget

= Enhancements =
- Leadin VIP program

= 1.1.1 (2014.06.20) =
- Bug fixes
- Emergency bug fix on activation caused by broken SVN merging

= 1.1.0 (2014.06.20) =
- Bug fixes
- Leadin subscriber email confirmations were not sending
- Removed smart contact segmenting for leads

= Enhancements =
- Added more contact status types for contacted + customer
- Setup collection for form IDs + classes

= 1.0.0 (2014.06.12) =
- Bug fixes
- Fixed sort by visits in the contacts list

= Enhancements =
- Contacts filtering
- Stats dashboard
- Sources

= 0.10.0 (2014.06.03) =
- Bug fixes
- Fixed original referrer in contact timeline
- Fixed unnecessary queries on contact timeline
- Only run the update check if the version number is different than the saved number
- Remove "fakepath" from file path text in uploaded file input types

= Enhancements =
- Expire the subscribe cookie after a few weeks
- Ability to disable a subscribe notification
- Added jQuery validation to the subscribe pop-up
- Multi-select input support
- Block forms with credit card fields from capturing contact information
- Updated contact timeline views
- Updated new contact notification emails

= 0.9.3 (2014.05.19) =
- Bug fixes
- Fix for duplicate values being stored in the active power-ups option

= 0.9.2 (2014.05.16) =

= Enhancements =
- Overhaul of settings page to make it easier to see which settings go with each power-up
- Launched Leadin Beta Program

= 0.9.1 (2014.05.14) =
- Bug fixes
- Fixed pop-up location dropdown not defaulting to saved options value
- Hooked subscribe widget into get_footer action instead of loop_end filter

= 0.9.0 (2014.05.12) =
- Bug fixes
- Remove leadin-css file enqueue call

= Enhancements =
- Show faces of people who viewed a post/page in the editor
- Add background color to avatars so they are easier to see
- Various UI fixes

= 0.8.5 (2014.05.08) =
- Bug fixes
- Fixed broken contact notification emails

= 0.8.4 (2014.05.07) =
- Bug fixes
- Fixed HTML encoding of apostrophes and special characters in the database for page titles

= Enhancements =
- Added ability to toggle subscribe widget on posts, pages, archives or the home page
- Sort contacts by last visit

= 0.8.3 (2014.05.06) =
- Bug fixes
- Merge duplicate contacts into one record
- Remove url parameters from source links in contact list
- Downgrade use of singletons so classes are compatible with PHP 5.2

= Enhancements =
- Swap out delete statements in favor of binary "deleted" flags to minimize data loss risk
- Sort contacts by last visit

= 0.8.2 (2014.05.02) =
- Bug fixes
- Removed namespace usage in favor or a low-tech work around to be compliant with PHP 5.2 and lower

= 0.8.1 (2014.04.30) =
- Bug fixes
- Namespaced duplicate classes

= 0.8.0 (2014.04.30) =
- Bug fixes
- Fix scrolling issue with subscribe pop-up
- Duplicate class bug fixes

= Enhancements =
- Add optional first name, last name and phone fields for subscribe pop-up
- Change out contact notification emails to be from settings email address
- Ability to disable contact notification emails
- Constant Contact list sync power-up
- Sync optional contact fields (name + phone) to email service provider power-ups

= 0.7.2 (2014.04.18) =
- Bug fixes
- Fix contact deletion bug
- Implement data recovery fix for contacts
- Bug fixes to contact merging


= 0.7.1 (2014.04.11) =
- Bug fixes
- SVN bug fix that did not add the MailChimp List sync power-up

= 0.7.0 (2014.04.10) =
= Enhancements =
- MailChimp List Sync power-up
- Added new themes (bottom right, bottom left, top and pop-up) to the WordPress Subscribe Widget power-up

= 0.6.2 (2014.04.07) =
- Bug fixes
- Fixed activation error for some installs by removing error output
- MySQL query optimizations
- Fixed bug with MySQL V5.0+ by adding default NULL values for insert statements on contacts table
- Changed title for returning lead email notifications
- Setting to change button label on

= Enhancements =
- Added ability to change button label on subscribe widget

= 0.6.1 (2014.03.12) =
- Bug fixes
- Updated read me.txt file
- Updated screenshots

= 0.6.0 (2014.03.07) =
- Bug fixes
- Remove in-house plugin updating functionality
- Original referrer is always the server url, not the HTTP referrer
- Strip slashes from title tags
- Number of contacts does not equal leads + commenters + subscribers
- Modals aren't bound to forms after page load
- Fix bug with activating + reactivating the plugin overwriting the saved settings
- Override button styles for Subscribe Pop-up widget

= Enhancements =
- Improved readability on new lead notification emails
- Confirmation email added for new subscribers to the Leadin Subscribe Pop-up
- Updated screenshots
- Improved onboarding flow
- Deleted unused and deprecated files

= 0.5.1 (2014.03.03) =
- Bug fixes
- Fixed Subscribe Pop-up automatically enabling itself

= 0.5.0 (2014.02.25) =
- Bug fixes
- Add (blank page title tag) to emails and contact timeline for blank page titles
- Fix link on admin nav menu bar to link to contact list
- Ignore lead notifications and subscribe popup on login page
- Saving an email no longer overwrites all the Leadin options
- Added live chat support

= Enhancements =
- New power-ups page
- Leadin Subscribe integrated into plugin as a power-up
- Improved contact history styling + interface
- Added visit, pageview and submission stats to the contact view
- Added Live Chat into the Leadin WordPress admin screens
- New Leadin icons for WordPress sidebar and admin nav menu

= 0.4.6 (2013.02.11) =
- Bug fixes
- Fix table sorting for integers
- Bug fixes to contact type headings
- Bug fix "Select All" export
- Bug fix for CSS "page views" hover triangle breaking to next line
- Backwards compatibility for < jQuery 1.7.0
- Add Leadin link to admin bar

= Enhancements =
- New onboarding flow

= 0.4.5 (2013.01.30) =
= Enhancements =
- Integration with Leadin Subscribe

= 0.4.4 (2013.01.24) =
- Bug fixes
- Bind submission tracking on buttons and images inside of forms instead of just submit input types

= Enhancements =
- Change out screenshots to obfiscate personal information

= 0.4.3 (2013.01.13) =
- Bug fixes
- Fixed Leadin form submission inserts for comments
- Resolved various silent PHP warnings in administrative dashboard
- Fixed Leadin updater class to be compatible with WP3.8
- Improved contact merging logic to be more reliable

= Enhancements =
- Improved onboarding flow
- Optimized form submission catching + improved performance

= 0.4.2 (2013.12.30) =
- Bug fixes
- Change 'contact' to 'lead' in the contacts table
- Fixed emails always sending to the admin_email
- Tie historical events to new lead when an email is submitted multiple times with different tracking codes
- Select leads, commenters and subscribers on distinct email addresses
- Fixed timeline order to show visit, then a form submission, then subsequent visits

= Enhancements =
- Added url for each page views in the contact timeline
- Added source for each visit event
- Tweak colors for contact timeline
- Default the Leadin menu to the contacts page

= 0.4.1 (2013.12.18) =
- Bug fixes
- Removed Leadin header from the contact timeline view
- Updated the wording on the menu view picker above contacts list
- Remove pre-mp6 styles if MP6 plugin is activated
- Default totals leads/comments = 0 when leads table is empty instead of printing blank integer
- Legacy visitors in table have 0 visits because session support did not exist. Default to 1
- Update ouput for the number of comments to be equal to total_comments, not total_leads
- Added border to pre-mp6 timeline events

= 0.4.0 (2013.12.16) =
- Bug fixes
- Block admin comment replies from creating a contact
- Fixed faulty sorting by Last visit + Created on dates in contacts list

= Enhancements =
- Timeline view of a contact history
- New CSS styles for contacts table
- Multiple email address support for new lead/comment emails
- Integration + testing for popular WordPress form builder plugins
- One click updates for manually hosted plugin

= 0.3.0 (2013.12.09) =
- Bug fixes
- HTML encoded page titles to fix broken HTML characters
- Strip slashes from page titles in emails

= Enhancements =
- Created separate Leadin menu in WordPress admin
- CRM list of all contacts
- Added ability to export list of contacts
- Leadin now distinguishes between a contact requests and comment submissions
- Added link to CRM list inside each contact/comment email

= 0.2.0 (2013.11.26) =
- Bug fixes
- Broke up page view history by session instead of days
- Fixed truncated form submission titles
- Updated email headers

= Enhancements =
- Plugin now updates upon activation and keeps record of version
- Added referral source to each session
- Added link to page for form submissions
- Updated email subject line
- Added social media avatars to emails

= 0.1.0 (2013.11.22) =
- Plugin released
